Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.cliente
Class Cliente

    java.lang.Object
      estella.cliente.Cliente

Direct Known Subclasses:
  JanelaPrincipal

    public class Cliente

extends java.lang.Object

Funcoes do cliente

Since:
  21/11/2005

Field Summary
`javax.swing.JFrame` | `jFrame`

Constructor Summary
`Cliente()`

Method Summary
`boolean` | `carregaServents(java.lang.String caminho_servents)` Retorna uma lista de servents pre-definidas em um arquivo
`boolean` | `conecta(java.lang.String host, int porta)` Tenta conecta aos servents declarados na lista de servents pre-definidas em um arquivo
`boolean` | `desconecta(java.lang.String host, int porta)` Desconecta o servent que tiver o ip igual a host
`boolean` | `ping()` Envia um ping para todas conexoes ativas (que o cliente esta conectado)
`boolean` | `query(int minVelocidade, java.lang.String busca)` Envia uma query para todas conexoes ativas (que o cliente esta conectado)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jFrame

    public javax.swing.JFrame jFrame

Constructor Detail

### Cliente

    public Cliente()

Method Detail

### conecta

    public boolean conecta(java.lang.String host,
                           int porta)

  Tenta conecta aos servents declarados na lista de servents pre-definidas em um arquivo

  Returns:
    true ou false

### desconecta

    public boolean desconecta(java.lang.String host,
                              int porta)

  Desconecta o servent que tiver o ip igual a host

  Parameters:
    `host` - String com o ip do servent
    `porta` - inteiro com a porta
  Returns:
    true ou false

### ping

    public boolean ping()

  Envia um ping para todas conexoes ativas (que o cliente esta conectado)

  Returns:
    true ou false

### query

    public boolean query(int minVelocidade,
                         java.lang.String busca)

  Envia uma query para todas conexoes ativas (que o cliente esta conectado)

  Parameters:
    `int` - velocidade minima
    `String` - termo de busca

### carregaServents

    public boolean carregaServents(java.lang.String caminho_servents)

  Retorna uma lista de servents pre-definidas em um arquivo

  Parameters:
    `caminho_servents` - String com o caminho para o arquivo com os servents. Arquivo definido no formato -- 'servent:porta' --
  Returns:
    String com todos os servents e portas encontrados no arquivo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD